August 13, 2006

[活字印刷]MT 2.661 新的安裝程式

對,沒有錯,我說的是 Movable Type 2.661 版。現在都出到 3.3 版了,為什麼我還要做 2.661 版呢?原因有幾個:

  1. 我自己還在用 2.661 版,做了大量黑客,累積了顯然難以移植的複雜模版……
  2. 我的寫的是 2.661 版,雖然我在這本書賺到的錢極少(花了半年,大概也祇拿到新台幣四萬多而已),但是我對自己的期許卻是要永續對支持我的讀者們負責
  3. MT 3.x 從一開始的動作給人的感覺就不好(當時很多人因此跳槽去 WordPress ),再加上對我來說其實沒有甚麼非讓我升級不可的新功能,所以我決定目前都不要去考慮 MT 3

我前一次的更新是在 2004/08/15 做的,到今天差不多要滿兩年了;在這兩年間,每當有甚麼新技術或新東西冒出來時,我總是想著要把他加進去,或者是修掉新發現的瑕疵,不過卻總是沒能騰出空來完成。

一直到昨天中午,手上某些工作正好通通都告了一段落,於是我開始大刀闊斧地修改。當我黑客完一輪,並做完測試、將檔案提交到檔案庫時,赫然發現這次修改牽扯到的檔案居然多達八百多個!這次做的事情相當多,有興趣的朋友不妨看看 Movable Type 完全手冊專屬網站的最新消息,也可以到下載頁面取得這些檔案。

所發表
[創用 CC 授權條款]
MT 2.661 新的安裝程式〉由 Jedi 製作,所有內容如無特別聲明,一律以創用 CC 姓名標示 3.0 台灣版授權條款釋出。
相關文章:
    歷史上的今天:
    西元 2009 年:
    迴響
    [ 1 : 靜態鏈結 ]

    請問黑名單外掛有沒有更新?
    因為我有個BLOG仍然留在mt2.661
    但是垃圾引用和迴響一直很嚴重..
    所以有主BLOG己經轉到LIFETYPE
    如果MT2.661這裡有改善,對我仍有幫助...

    jacklo 發表於 August 14, 2006 01:53 PM
    [ 2 : 靜態鏈結 ]

    黑名單就還是那樣。請勤加同步更新黑名單。這一版的安裝程式/預先補綴檔案包 (tarball) 中,還有一個變動,就是 SCode (這是個 CAPTCHA 外掛模組)「幾乎」可以直接上線了──但是我沒辦法幫你裝 Perl GD ,所以要先把 GD 裝起來,然後纔能啟用。

    這對於迴響會有點幫助,但說到引用,還是祇能靠黑名單。

    Jedi 發表於 August 14, 2006 03:21 PM
    給我迴響吧!
    個人資訊








    是否記住個人資訊?



    請依上圖輸入檢核碼:
    迴響





    Jedi.org: 部落格 | Weblog | 三太子 | 討論 | 網頁親和力 | 深入親和力 | 簡報原力:AV | 履歷 | @ | Flickr | tumblr | NSFW